import 'package:flutter/material.dart';

class LocaleProvider extends ChangeNotifier {
  LocaleProvider({Locale? defaultLocale})
      : _locale = defaultLocale ?? const Locale('de');
  Locale _locale = const Locale('de');

  Locale get locale => _locale;

  void setLocale(Locale locale) {
    _locale = locale;
    notifyListeners();
  }
}
